package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.IndustrialAccidentProportion;
import com.lightinit.hsdatashow.entity.IndustrialAccidentProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface IndustrialAccidentProportionMapper {
    long countByExample(IndustrialAccidentProportionExample example);

    int deleteByExample(IndustrialAccidentProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(IndustrialAccidentProportion record);

    int insertSelective(IndustrialAccidentProportion record);

    List<IndustrialAccidentProportion> selectByExample(IndustrialAccidentProportionExample example);

    IndustrialAccidentProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") IndustrialAccidentProportion record, @Param("example") IndustrialAccidentProportionExample example);

    int updateByExample(@Param("record") IndustrialAccidentProportion record, @Param("example") IndustrialAccidentProportionExample example);

    int updateByPrimaryKeySelective(IndustrialAccidentProportion record);

    int updateByPrimaryKey(IndustrialAccidentProportion record);

    List<ChartModel> getAccidentProportion();
}